import { SocketMessage } from "../SocketMessage";
import { TokenUser } from "@openiap/openflow-api";
import { WebSocketServerClient } from "../WebSocketServerClient";
import { Span } from "@opentelemetry/api";
export declare class Message {
    id: string;
    replyto: string;
    command: string;
    data: string;
    static fromcommand(command: string): Message;
    static frommessage(msg: SocketMessage, data: string): Message;
    Reply(command?: string): void;
    Process(cli: WebSocketServerClient): Promise<void>;
    RegisterQueue(cli: WebSocketServerClient, parent: Span): Promise<void>;
    QueueMessage(cli: WebSocketServerClient): Promise<void>;
    CloseQueue(cli: WebSocketServerClient, parent: Span): Promise<void>;
    Send(cli: WebSocketServerClient): void;
    private UnknownCommand;
    private Ping;
    private static collectionCache;
    private static collectionCachetime;
    private ListCollections;
    private DropCollection;
    private Query;
    private GetDocumentVersion;
    private Aggregate;
    private UnWatch;
    private Watch;
    private InsertOne;
    private InsertMany;
    private UpdateOne;
    private UpdateMany;
    private InsertOrUpdateOne;
    private DeleteOne;
    private DeleteMany;
    private MapReduce;
    static DoSignin(cli: WebSocketServerClient, rawAssertion: string): Promise<TokenUser>;
    private Signin;
    private RegisterUser;
    private GetInstanceName;
    private EnsureNoderedInstance;
    private _EnsureNoderedInstance;
    private _DeleteNoderedInstance;
    private DeleteNoderedInstance;
    private DeleteNoderedPod;
    private RestartNoderedInstance;
    private GetKubeNodeLabels;
    private GetNoderedInstance;
    private GetNoderedInstanceLog;
    private StartNoderedInstance;
    private StopNoderedInstance;
    private _SaveFile;
    private SaveFile;
    private _GetFile;
    private GetFile;
    private filescount;
    private filesnext;
    private UpdateFile;
    CreateWorkflowInstance(cli: WebSocketServerClient, parent: Span): Promise<void>;
    async_request(options: any): Promise<any>;
    isObject(obj: any): boolean;
    flattenAndStringify(data: any): {};
    StripeCancelPlan(cli: WebSocketServerClient, parent: Span): Promise<void>;
    StripeAddPlan(cli: WebSocketServerClient, parent: Span): Promise<void>;
    EnsureStripeCustomer(cli: WebSocketServerClient, parent: Span): Promise<void>;
    Stripe<T>(method: string, object: string, id: string, payload: any, customerid: string): Promise<T>;
    StripeMessage(cli: WebSocketServerClient): Promise<void>;
    DumpClients(cli: WebSocketServerClient, parent: Span): Promise<void>;
    DumpRabbitmq(cli: WebSocketServerClient, parent: Span): Promise<void>;
    GetRabbitmqQueue(cli: WebSocketServerClient): Promise<void>;
    DeleterabbitmqQueue(cli: WebSocketServerClient): Promise<void>;
    PushMetrics(cli: WebSocketServerClient): Promise<void>;
}
export declare class JSONfn {
    static stringify(obj: any): string;
    static parse(str: any): any;
}
